package com.yunyan.business.service;

import java.util.List;
import com.yunyan.business.domain.AlertWord;
import com.baomidou.mybatisplus.extension.service.IService;

import com.yunyan.common.core.domain.AjaxResultVo;

/**
 * 敏感词管理Service接口
 *
 * @author yunyan
 * @date 2023-07-27
 */
public interface IAlertWordService extends IService<AlertWord>
{

    /**
     * 查询敏感词管理列表
     *
     * @param alertWord 敏感词管理
     * @return 敏感词管理集合
     */
    public List<AlertWord> selectAlertWordList(AlertWord alertWord);

    /**
    * 新增
    * @param
    * @return
    */
    AjaxResultVo add(AlertWord dto);

    /**
     * 编辑
     * @param
     * @return
     */
    AjaxResultVo edit(AlertWord dto);

    /**
     * 详情
     * @param id
     * @return
     */
    AjaxResultVo info(Long id);

    /**
     *检查匹配内容中的敏感词
     *
     * @author loovi
     * @date
     */
    public AjaxResultVo checkContent(String content);

}
